Difference between revisions of "Arch Rebar BentShape/fr"

From FreeCAD Documentation
Jump to: navigation, search
(Created page with "==Propriétés==")
(Created page with "* {{PropertyData/fr|Orientation}}: Il définit l'orientation de la barre d'armature (comme fond, haut, droite et gauche). * {{PropertyData/fr|Front Cover}}: La distance entre...")
Line 23: Line 23:
 
==Propriétés==  
 
==Propriétés==  
  
* {{PropertyData|Orientation}}: It decides the orientation of the rebar (like a bottom, top, right and left).
+
* {{PropertyData/fr|Orientation}}: Il définit  l'orientation de la barre d'armature (comme fond, haut, droite et gauche).
* {{PropertyData|Front Cover}}: The distance between rebar and selected face.
+
* {{PropertyData/fr|Front Cover}}: La distance entre les barres d'armature et la face sélectionnée.
* {{PropertyData|Left Cover}}: The distance between the left end of the rebar to the left face of the structure.
+
* {{PropertyData/fr|Left Cover}}: La distance entre l'extrémité gauche de l'armature à la face gauche de la structure.
* {{PropertyData|Right Cover}}: The distance between the right end of the rebar to right face of the structure.
+
* {{PropertyData/fr|Right Cover}}: La distance entre l'extrémité droite de la barre d'armature et la face droite de la structure.
* {{PropertyData|Bottom Cover}}: The distance between rebar from the bottom face of the structure.
+
* {{PropertyData/fr|Bottom Cover}}: La distance entre les barres d'armature de la face inférieure de la structure.
* {{PropertyData|Top Cover}}: The distance between rebar from the top face of the structure.
+
* {{PropertyData/fr|Top Cover}}: La distance entre les barres d'armature de la face supérieure de la structure.
* {{PropertyData|Anchor Length}}: It is the arm's length of bent shape rebar.
+
* {{PropertyData/fr|Anchor Length}}: Il s'agit de la longueur de la forme courbée de l'armature .
* {{PropertyData|Bent Angle}}: It decides angle in bent shape rebar.
+
* {{PropertyData/fr|Bent Angle}}: Il définit l'angle dans la barre d'armature.
* {{PropertyData|Amount}}: The amount of rebars.
+
* {{PropertyData/fr|Amount}}: La quantité de barres d'armature.
* {{PropertyData|Spacing}}: The distance between the axes of each bar.
+
* {{PropertyData/fr|Spacing}}: La distance entre les axes de chaque barre.
  
 
==Scripting==
 
==Scripting==

Revision as of 18:35, 15 April 2018

Arch Rebar BentShape.png Arch Rebar BentShape

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
Armature en étrier
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager


Description

L'outil Arch Rebar BentShape.png Armature cintrée permet à l'utilisateur de créer une barre d'armature cintrée dans l'élément structurel.

BentShapeRebar.png

Comment faire

  1. Créer un élément structure
  2. Sélectionnez une face de la structure
  3. Puis sélectionnez Arch Rebar BentShape.png Armature cintrée à partir des outils d'armature
  4. Un panneau de tâches apparaîtra sur le côté gauche de l'écran comme indiqué ci-dessous BentShapeDialog.png
  5. Sélectionnez l'orientation souhaitée
  6. Donner les entrées comme le capot avant, le capot latéral gauche, le capot latéral droit, le capot inférieur, le capot supérieur, la longueur d'ancrage, l'angle de cintrage, l'arrondi et le diamètre des barres d'armature
  7. Sélectionnez le mode de distribution soit la quantité ou l'espacement
  8. Si l'espacement est sélectionné, un utilisateur peut également choisir espacement personnalisé
  9. Le choix de la face sélectionnée est utilisé pour vérifier ou changer la face pour la distribution des barres d'armature
  10. Cliquez sur OK ou Appliquer pour générer les barres d'armature
  11. Cliquez sur Annuler pour quitter le panneau des tâches

Propriétés

  • DONNÉESOrientation: Il définit l'orientation de la barre d'armature (comme fond, haut, droite et gauche).
  • DONNÉESFront Cover: La distance entre les barres d'armature et la face sélectionnée.
  • DONNÉESLeft Cover: La distance entre l'extrémité gauche de l'armature à la face gauche de la structure.
  • DONNÉESRight Cover: La distance entre l'extrémité droite de la barre d'armature et la face droite de la structure.
  • DONNÉESBottom Cover: La distance entre les barres d'armature de la face inférieure de la structure.
  • DONNÉESTop Cover: La distance entre les barres d'armature de la face supérieure de la structure.
  • DONNÉESAnchor Length: Il s'agit de la longueur de la forme courbée de l'armature .
  • DONNÉESBent Angle: Il définit l'angle dans la barre d'armature.
  • DONNÉESAmount: La quantité de barres d'armature.
  • DONNÉESSpacing: La distance entre les axes de chaque barre.

Scripting

The Arch Rebar BentShape.png Bent Shape Rebar tool can by used in macros and from the python console by using the following function:

makeBentShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, BentLength, BentAngle, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
  • The Bent Shape Rebar have four different orientations:
    • Bottom
    • Top
    • Left
    • Right
  • Adds a Bent Shape reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Here CoverAlong argument is having type tuple.
  • Returns the new Rebar object.

Example: Creating Bent Shape rebar.

import Arch, BentShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=100.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = BentShapeRebar.makeBentShapeRebar(20, 20, 20, 20, 8, 20, 100, 135, 2, True, 10, "Bottom", structure, "Face1")

Changing properties of Bent Shape rebar.

import BentShapeRebar
BentShapeRebar.editBentShapeRebar(rebar, 50, 50, 50, 50, 12, 20, 100, 135, 2, True, 10, "Top")


Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский